Package com.io7m.jtensors.storage.bytebuffered

# Interface PVectorByteBufferedFloating4Type<T>

Type Parameters:
  `T` - A phantom type parameter

All Superinterfaces:
  `PVectorReadable2DType<T>`, `PVectorReadable3DType<T>`, `PVectorReadable4DType<T>`, `PVectorStorageFloating2Type<T>`, `PVectorStorageFloating3Type<T>`, `PVectorStorageFloating4Type<T>`, `TensorByteBufferedType`, `VectorByteBufferedType`, `VectorReadable2DType`, `VectorReadable3DType`, `VectorReadable4DType`, `VectorStorageFloating2Type`, `VectorStorageFloating3Type`, `VectorStorageFloating4Type`, `VectorStorageType`

All Known Implementing Classes:
  `PVectorByteBufferedFloating4s16`, `PVectorByteBufferedFloating4s32`, `PVectorByteBufferedFloating4s64`

    public interface PVectorByteBufferedFloating4Type<T>
    extends PVectorStorageFloating4Type<T>, VectorByteBufferedType

The type of byte buffer backed floating point vectors.

- ## Method Summary

  ### Methods inherited from interface com.io7m.jtensors.storage.api.parameterized.vectors.PVectorStorageFloating2Type

  `setPVector2D, setPVector2F`

  ### Methods inherited from interface com.io7m.jtensors.storage.api.parameterized.vectors.PVectorStorageFloating3Type

  `setPVector3D, setPVector3F`

  ### Methods inherited from interface com.io7m.jtensors.storage.api.parameterized.vectors.PVectorStorageFloating4Type

  `setPVector4D, setPVector4F`

  ### Methods inherited from interface com.io7m.jtensors.storage.bytebuffered.TensorByteBufferedType

  `byteBuffer, byteOffset, offset, sizeBytes`

  ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2DType

  `x, y`

  ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3DType

  `z`

  ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable4DType

  `w`

  ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageFloating2Type

  `setVector2D, setVector2F, setX, setXY, setY`

  ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageFloating3Type

  `setVector3D, setVector3F, setXYZ, setZ`

  ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageFloating4Type

  `setVector4D, setVector4F, setW, setXYZW`